function fringe_aliasing_demo_CRC;

% Demo of aliasing on fringe image as a test object
% Copyright L. Yaroslavsky (yaro@eng.tau.ac.il)

close all
R=256; %Image size
X=(-R:R).^2;
X=kron(X,ones(2*R+1,1));

r=X+X';
r=r/max(r(:));
for S=10:4:500,
OUT=cos(2*S*pi*r);
imshow(OUT,[]);
axis off
title(['cos(2*pi*S*Radius); S=',num2str(S)],'FontWeight','Bold','FontSize',10);

pause(0.2);
end
for S=500:-4:10,
OUT=cos(2*S*pi*r);
imshow(OUT,[]);
axis off
title(['cos(2*pi*S*Radius); S=',num2str(S)],'FontWeight','Bold')
drawnow
 pause(0.2);
end
% 